> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get files of all registration certificates

> Get the files of all registration certificates for the specified vehicle. Optionally, set the id of the target registration certificate.

<Note>This endpoint deals with defining the name and content type of the files. Use [Get a file download link](/api-reference/files/get-a-file-download-link) to download the actual content of the files by providing the **UUIDs** and **secret** from the response.</Note>


## OpenAPI

````yaml /api-reference/m2m-api.yml get /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/registration-certificates
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/registration-certificates:
    get:
      tags:
        - Registration certificates
      summary: Get files of all registration certificates
      description: >-
        Get the files of all registration certificates for the specified
        vehicle. Optionally, set the id of the target registration certificate.
      operationId: getRegistrationCertificateBlobs
      parameters:
        - name: assetProviderCountryCode
          in: path
          description: Asset provider country code
          required: true
          schema:
            type: string
            minLength: 2
            maxLength: 2
        - name: assetProviderCode
          in: path
          description: Asset provider code
          required: true
          schema:
            type: string
            minLength: 3
            maxLength: 3
        - name: vehicleId
          in: path
          description: Id of vehicle
          required: true
          schema:
            type: string
        - name: regCertUuid
          in: query
          description: Optional registration certificate id to filter the result by
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: The files are separated by the registration certificate IDs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistrationCertificateBlobsResponse'
                example:
                  b79a613b-d1e4-4f1e-9a1d-61b585d11b51:
                    frontSide:
                      uuid: a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890
                      filename: reg_cert_front.jpg
                      uploaded: true
                      secret: some-secret-string-for-front
                      itemId: 12345
                    backSide:
                      uuid: f0e1d2c3-b4a5-6789-f0e1-d2c3b4a56789
                      filename: reg_cert_back.jpg
                      uploaded: true
                      secret: some-secret-string-for-back
                      itemId: 12346
                  c98d7e6f-a5b4-c3d2-e1f0-a9b8c7d6e5f4:
                    frontSide:
                      uuid: 98765432-10ab-cdef-1234-567890abcdef
                      filename: old_reg_cert_front.png
                      uploaded: true
                      secret: another-secret-for-old-cert
                      itemId: 9876
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Vehicle could not be found
      security:
        - oauth:
            - openid
components:
  schemas:
    RegistrationCertificateBlobsResponse:
      type: object
      additionalProperties:
        type: object
        properties:
          frontSide:
            $ref: '#/components/schemas/BlobResponse'
          backSide:
            $ref: '#/components/schemas/BlobResponse'
    BlobResponse:
      allOf:
        - $ref: '#/components/schemas/Blob'
        - type: object
          required:
            - secret
            - itemId
          properties:
            secret:
              type: string
              description: Secret for retrieving links
              minLength: 1
            itemId:
              description: Id of the item which holds the BLOB. May be string or integer
    Blob:
      type: object
      required:
        - uuid
        - filename
        - uploaded
      properties:
        uuid:
          type: string
          format: uuid
        filename:
          type: string
        uploaded:
          type: boolean
          description: Indicates if the BLOB has been uploaded to the storage
          default: false
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````